Get customer list
curl --request GET \
--url https://partner-dev.coinut.net/customer/list \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>'import requests
url = "https://partner-dev.coinut.net/customer/list"
headers = {
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'X-API-Secret': '<api-key>'}
};
fetch('https://partner-dev.coinut.net/customer/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"data": {
"list": [
{
"id": "<string>",
"realName": "<string>",
"type": "<string>",
"country": "<string>",
"countryName": "<string>",
"dob": "<string>",
"status": "PENDING",
"remark": "<string>",
"createTime": "<string>",
"externalId": "<string>"
}
],
"total": 123,
"pageNum": 123,
"pageSize": 123
}
}{
"status": "INVALID_PARAMETERS",
"message": "invalid parameters"
}Customers
List Customers
Retrieves the list of customers for a partner
GET
/
customer
/
list
Get customer list
Query Parameters
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Sort field
Sort direction
Available options:
ASC, DESC Filter by KYC / onboarding status
Available options:
PENDING, CONFIRMED, REJECTED, DELETED Filter by create time (ISO date string)
Fuzzy match on real name
⌘I

